PocketSword
  1. PocketSword
  2. PS-75

Pocket Sword 2 for iOS7 and beyond

    Details

    • Type: Epic Epic
    • Status: Resolved (View Workflow)
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.4.6
    • Component/s: None
    • Labels:
      None

      Description

      Design and features of iOS7 changed a lot from early days.
      It may be better both for design and working on new features if we do not have to worry about backward compatibility.
      How about creating a new Pocket Sword 2 project for iOS7 and beyond?

        Issues in Epic

        There are no issues in this epic.

          Activity

          Alan Lee created issue -
          Hide
          Nic Carter added a comment -

          It was only with great sadness that I recently dropped support for iOS 3.1.3!!

          The first gen iPad will still be stuck on iOS 5, so my next thoughts were to be for iOS 5 and later, but I am open to suggestions. As I have no time right now to be working on an update, I had thought of just making sure it worked ok under iOS 7, and my 3rd gen iPad is running it well on the latest beta of iOS 7. I am hoping to fix up the look-and-feel over the Christmas break (that's the long holiday break in Australia), starting with removing almost all of the XIBs and instead doing things programmatically, which should make updating things to look nicer in iOS 7 MUCH easier.

          But, I'm open to thoughts and suggestions!
          Thanks!

          Show
          Nic Carter added a comment - It was only with great sadness that I recently dropped support for iOS 3.1.3!! The first gen iPad will still be stuck on iOS 5, so my next thoughts were to be for iOS 5 and later, but I am open to suggestions. As I have no time right now to be working on an update, I had thought of just making sure it worked ok under iOS 7, and my 3rd gen iPad is running it well on the latest beta of iOS 7. I am hoping to fix up the look-and-feel over the Christmas break (that's the long holiday break in Australia), starting with removing almost all of the XIBs and instead doing things programmatically, which should make updating things to look nicer in iOS 7 MUCH easier. But, I'm open to thoughts and suggestions! Thanks!
          Hide
          Alan Lee added a comment -

          I see. I just started looking at the code base so I don't have clear idea yet. I'll get back to you on this.

          Show
          Alan Lee added a comment - I see. I just started looking at the code base so I don't have clear idea yet. I'll get back to you on this.
          Hide
          Nic Carter added a comment -

          FYI, with the new feature of the iOS App Store where you can download older versions of an app for older devices, I am now looking to make the next version of PocketSword targeting iOS 7 only. I'll now close this task. Feel free to email me with any questions about the code & keep an eye on BitBucket for updates.

          Show
          Nic Carter added a comment - FYI, with the new feature of the iOS App Store where you can download older versions of an app for older devices, I am now looking to make the next version of PocketSword targeting iOS 7 only. I'll now close this task. Feel free to email me with any questions about the code & keep an eye on BitBucket for updates.
          Hide
          Nic Carter added a comment -

          (Apple fixed this with iOS App Store changes!)

          Show
          Nic Carter added a comment - (Apple fixed this with iOS App Store changes!)
          Nic Carter made changes -
          Field Original Value New Value
          Status Open [ 1 ] Resolved [ 5 ]
          Resolution Fixed [ 1 ]
          Hide
          Alan Lee added a comment -

          Does this mean that for pre-iOS7 users current version will be the final version?

          Show
          Alan Lee added a comment - Does this mean that for pre-iOS7 users current version will be the final version?
          Hide
          Nic Carter added a comment -

          There aren't many devices that aren't able to update, and with my lack of time to test across multiple versions of iOS and devices now-a-days, and with Apple now allowing downloads of older versions of the app, the answer is yes.

          Show
          Nic Carter added a comment - There aren't many devices that aren't able to update, and with my lack of time to test across multiple versions of iOS and devices now-a-days, and with Apple now allowing downloads of older versions of the app, the answer is yes.
          Hide
          Alan Lee added a comment -

          Thanks. That makes perfect sense.

          Show
          Alan Lee added a comment - Thanks. That makes perfect sense.
          Hide
          Nic Carter added a comment -

          FYI, I'm setting the deployment target for the next release of PS to be iOS 5.1 – it seems I'm very used to using conditional code & it works fine on it. So this means it should work on all generations of iPads.

          Show
          Nic Carter added a comment - FYI, I'm setting the deployment target for the next release of PS to be iOS 5.1 – it seems I'm very used to using conditional code & it works fine on it. So this means it should work on all generations of iPads.
          Nic Carter made changes -
          Fix Version/s 1.4.6 [ 12151 ]

            People

            • Assignee:
              Nic Carter
              Reporter:
              Alan Lee
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: